class InvertedResidual(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  has_skip : bool
  conv_pw : __torch__.torch.nn.modules.conv.___torch_mangle_52.Conv2d
  bn1 : __torch__.timm.layers.norm_act.___torch_mangle_53.BatchNormAct2d
  conv_dw : __torch__.torch.nn.modules.conv.___torch_mangle_61.Conv2d
  bn2 : __torch__.timm.layers.norm_act.___torch_mangle_53.BatchNormAct2d
  se : __torch__.timm.models._efficientnet_blocks.___torch_mangle_57.SqueezeExcite
  conv_pwl : __torch__.torch.nn.modules.conv.___torch_mangle_62.Conv2d
  bn3 : __torch__.timm.layers.norm_act.___torch_mangle_63.BatchNormAct2d
  drop_path : __torch__.torch.nn.modules.linear.Identity
  def forward(self: __torch__.timm.models._efficientnet_blocks.___torch_mangle_64.InvertedResidual,
    x: Tensor) -> Tensor:
    conv_pw = self.conv_pw
    x0 = (conv_pw).forward(x, )
    bn1 = self.bn1
    x1 = (bn1).forward(x0, )
    conv_dw = self.conv_dw
    x2 = (conv_dw).forward(x1, )
    bn2 = self.bn2
    x3 = (bn2).forward(x2, )
    se = self.se
    x4 = (se).forward(x3, )
    conv_pwl = self.conv_pwl
    x5 = (conv_pwl).forward(x4, )
    bn3 = self.bn3
    x6 = (bn3).forward(x5, )
    has_skip = self.has_skip
    if has_skip:
      drop_path = self.drop_path
      x8 = torch.add((drop_path).forward(x6, ), x)
      x7 = x8
    else:
      x7 = x6
    return x7
