class EfficientNet(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  num_classes : int
  num_features : int
  drop_rate : float
  grad_checkpointing : bool
  stage_ends : List[int]
  conv_stem : __torch__.torch.nn.modules.conv.Conv2d
  bn1 : __torch__.timm.layers.norm_act.BatchNormAct2d
  blocks : __torch__.torch.nn.modules.container.___torch_mangle_79.Sequential
  conv_head : __torch__.torch.nn.modules.conv.___torch_mangle_80.Conv2d
  bn2 : __torch__.timm.layers.norm_act.___torch_mangle_81.BatchNormAct2d
  global_pool : __torch__.timm.layers.adaptive_avgmax_pool.SelectAdaptivePool2d
  classifier : __torch__.torch.nn.modules.linear.Linear
  def forward(self: __torch__.timm.models.efficientnet.EfficientNet,
    x: Tensor) -> Tensor:
    x0 = (self).forward_features(x, )
    return (self).forward_head(x0, False, )
  def forward_features(self: __torch__.timm.models.efficientnet.EfficientNet,
    x: Tensor) -> Tensor:
    conv_stem = self.conv_stem
    x1 = (conv_stem).forward(x, )
    bn1 = self.bn1
    x2 = (bn1).forward(x1, )
    blocks = self.blocks
    x3 = (blocks).forward(x2, )
    conv_head = self.conv_head
    x4 = (conv_head).forward(x3, )
    bn2 = self.bn2
    return (bn2).forward(x4, )
  def forward_head(self: __torch__.timm.models.efficientnet.EfficientNet,
    x: Tensor,
    pre_logits: bool=False) -> Tensor:
    _0 = __torch__.torch.nn.functional.dropout
    global_pool = self.global_pool
    x5 = (global_pool).forward(x, )
    drop_rate = self.drop_rate
    if torch.gt(drop_rate, 0.):
      drop_rate0 = self.drop_rate
      training = self.training
      x7 = _0(x5, drop_rate0, training, False, )
      x6 = x7
    else:
      x6 = x5
    if pre_logits:
      _1 = x6
    else:
      classifier = self.classifier
      _1 = (classifier).forward(x6, )
    return _1
